Specifies a decoration

- « ImagickDraw::setTextAntialias

- ImagickDraw::setTextEncoding »

- PHP Manual
- ImagickDraw
- Specifies a decoration

# ImagickDraw::setTextDecoration

(PECL imagick 2, PECL imagick 3)

ImagickDraw::setTextDecoration — Specifies a decoration

### Description

public ImagickDraw::setTextDecoration(int `$decoration`): bool
Warning

This function is currently not documented; only its argument list is available.

Specifies a decoration to be applied when annotating with text.

### Parameters

`decoration`

  One of the DECORATION constant (`imagick::DECORATION_*`).

### Return Values

No value is returned.

### Examples

Example #1 ImagickDraw::setTextDecoration() example

    <?php
    function setTextDecoration($strokeColor, $fillColor, $backgroundColor, $textDecoration) {

        $draw = new \ImagickDraw();

        $draw->setStrokeColor($strokeColor);
        $draw->setFillColor($fillColor);
        $draw->setStrokeWidth(2);
        $draw->setFontSize(72);
        $draw->setTextDecoration($textDecoration);
        $draw->annotation(50, 75, "Lorem Ipsum!");

        $imagick = new \Imagick();
        $imagick->newImage(500, 200, $backgroundColor);
        $imagick->setImageFormat("png");
        $imagick->drawImage($draw);

        header("Content-Type: image/png");
        echo $imagick->getImageBlob();
    }

    ?>